package com.zhentao;

import cn.hutool.crypto.digest.DigestUtil;

public class InterfaceClient {
    public static boolean verifySignature1(String appId, String goodsId, String reqId, String reqTime, String appKey, String signature) {
        String signStr = appId + goodsId + reqId + reqTime + appKey;
        String generatedSign = DigestUtil.md5Hex(signStr);
        return generatedSign.equals(signature);
    }

    // 模拟接口二
    public static boolean verifySignature2(String appId, String goodsId, String reqId, String reqTime, String appKey, String signature) {
        String signStr = appId + goodsId + reqId + reqTime + appKey;
        String generatedSign = DigestUtil.md5Hex(signStr);
        return generatedSign.equals(signature);
    }
    public static void main(String[] args) {
        // 模拟参数
        String appId = "12345";
        String goodsId = "67890";
        String reqId = "abcde";
        String reqTime = "20250331120000";
        String appKey = "yourAppKey";

        // 生成签名
        String signStr = appId + goodsId + reqId + reqTime + appKey;
        String signature = DigestUtil.md5Hex(signStr);

        System.out.println("生成的签名: " + signature);

        // 调用接口一进行验签
        boolean result1 = InterfaceClient.verifySignature1(appId, goodsId, reqId, reqTime, appKey, signature);
        System.out.println("接口一验签结果: " + result1);

        // 调用接口二进行验签
        boolean result2 = InterfaceClient.verifySignature2(appId, goodsId, reqId, reqTime, appKey, signature);
        System.out.println("接口二验签结果: " + result2);
    }
}
